> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Webhooks

> Get all webhooks in the account.



## OpenAPI

````yaml get /webhooks
openapi: 3.1.0
info:
  title: webhook API
  version: '1.0'
servers:
  - url: https://api.chainbase.online/v1/
security:
  - {}
paths:
  /webhooks:
    get:
      summary: Get All Webhooks
      description: Get all webhooks in the account.
      operationId: get-all-webhooks
      parameters:
        - name: x-api-key
          in: header
          description: YOUR-API-KEY
          required: true
          schema:
            type: string
            example: demo
        - name: offset
          in: query
          description: Offset of the webhooks pagination
          schema:
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          description: Limit of the webhooks pagination
          schema:
            type: integer
            format: int32
            default: 10
        - name: status
          in: query
          description: Status of the webhook
          schema:
            type: string
            default: '-1'
        - name: data_source
          in: query
          description: Data source the webhook subscribe to
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: >-
                    {"code":0,"msg":"ok","data":{"total":2,"data":[{"webhook_id":"9748042d-0eee-4baf-b508-1c5ec8c07686","filters":[],"webhook_name":"massive-logs","webhook_url":"https://gtsfh5g3c4.hk.aircode.run/erc20transfer","data_source":"ethereum_logs","additional_headers":[],"created_at":"2023-08-20T07:14:58.872523Z","updated_at":"2023-08-20T07:14:58.872523Z","status":0},{"webhook_id":"eefbb329-4009-4372-91e5-c906fed17db1","filters":[],"webhook_name":"massive-erc20-transfer","webhook_url":"http://receive-service.chainbase-uat.svc.cluster.local:8080","data_source":"ethereum_logs","additional_headers":[{"name":"Authorization","value":"Bearer
                    xyz"}],"created_at":"2023-08-25T07:27:15.611135Z","updated_at":"2023-08-25T07:27:15.611135Z","status":0}]}}
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                    default: 0
                  msg:
                    type: string
                    example: ok
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 2
                        default: 0
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            webhook_id:
                              type: string
                              example: 9748042d-0eee-4baf-b508-1c5ec8c07686
                            filters:
                              type: array
                            webhook_name:
                              type: string
                              example: massive-logs
                            webhook_url:
                              type: string
                              example: https://gtsfh5g3c4.hk.aircode.run/erc20transfer
                            data_source:
                              type: string
                              example: ethereum_logs
                            additional_headers:
                              type: array
                            created_at:
                              type: string
                              example: '2023-08-20T07:14:58.872523Z'
                            updated_at:
                              type: string
                              example: '2023-08-20T07:14:58.872523Z'
                            status:
                              type: integer
                              example: 0
                              default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{"code":-1,"msg":"auth verify-secret-key error","data":null}'
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: -1
                    default: 0
                  msg:
                    type: string
                    example: auth verify-secret-key error
                  data: {}
      deprecated: false

````